Bug 980085 - gs crash due to stack smashing detection
gs crash due to stack smashing detection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 07:47 EDT by Frank Ch. Eigler
Modified: 2013-07-20 05:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: ghostscript-9.07-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:36:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
langref.ps from x86-64 box (558.80 KB, application/postscript)
2013-07-01 08:49 EDT, Frank Ch. Eigler
no flags Details

  None (edit)
Description Frank Ch. Eigler 2013-07-01 07:47:14 EDT
While building systemtap, pdf/ps documentation is generated.  On ARM, some condition appears to cause ps2pdf / gs to abort.

http://arm.koji.fedoraproject.org/koji/getfile?taskID=1949423&name=build.log

</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt9.pfb>[1] 
[2] [3] [4] [5] [6] [7] [8] [9] [10] [11] [12] [13] [14] [15] [16] [17Error: /undefined in --definefont--
Operand stack:
   false   CMMIB10   --dict:12/21(L)--   Font   definefont   --dict:30/32(L)--   unknownerror
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostr] [18ingval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1746   3   3   %oparray_pop   --nostringval--   --nostringval--   1834   3   4   %oparray_pop   --nostringval--
Dictionary stack:
   --dict:1169/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--   --dict:1169/1684(ro)(G)--
Current allocation mode is local
Last OS error: No such file or directory
GPL Ghostscript 9.07: Unrecoverable error, exit code 1
] 
ps2pdf -r600 tutorial.ps
make[3]: *** [langref.pdf] Error 1
make[3]: *** Waiting for unfinished jobs....
*** stack smashing detected ***: /usr/bin/gs terminated
======= Backtrace: =========
/lib/libc.so.6(+0x6f4d4)[0xb65b94d4]
/lib/libc.so.6(__fortify_fail+0x40)[0xb6641d20]
/lib/libc.so.6(__stack_chk_fail+0x10)[0xb6641cdc]
/lib/libgs.so.9(WRF_wfloat+0x60)[0xb69c70c0]
Comment 1 Tim Waugh 2013-07-01 07:56:00 EDT
Are you able to attach the input file, langref.ps?
Comment 2 Frank Ch. Eigler 2013-07-01 08:49:51 EDT
Created attachment 767392 [details]
langref.ps from x86-64 box

I don't have access to the ARM box or its build tree leftovers.  Here's a possibly-equivalent one from an x86-64 build (git://sourceware.org/git/systemtap.git, cd doc/, latex...dvips on langref.tex).
Comment 3 Tim Waugh 2013-07-01 09:02:27 EDT
Thanks.  I'll see if valgrind shows up anything suspicious.

In the mean time, I've built ghostscript-9.07-7.fc20 -- could you please retry with that?
Comment 4 Frank Ch. Eigler 2013-07-02 12:48:34 EDT
Thanks, Tim, the arm builders went farther this time.  They failed later on, with an odd error message, as though something went wrong with the font<->file mappings.  I don't know whether this could be a gs bug or something wrong with the many FOO-fonts rpms that supply the .pf[ab] files.
Comment 5 Fedora Update System 2013-07-17 12:29:07 EDT
ghostscript-9.07-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.07-10.fc19
Comment 6 Fedora Update System 2013-07-18 01:47:34 EDT
Package ghostscript-9.07-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.07-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13173/ghostscript-9.07-10.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-20 05:36:53 EDT
ghostscript-9.07-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.